> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topyappers.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List CRM Lists

> Returns all active CRM lists for the API key owner's team, including creator counts.



## OpenAPI

````yaml GET /api/v2/crm/lists
openapi: 3.1.0
info:
  title: CRM API
  description: >-
    Create CRM lists, add creators, check creator membership, and update CRM
    contacts. CRM API calls are free but require an active TopYappers
    subscription.
  version: 2.0.0
servers:
  - url: https://api.topyappers.com
security:
  - apiKeyAuth: []
paths:
  /api/v2/crm/lists:
    get:
      tags:
        - CRM Lists
      summary: List CRM lists
      description: >-
        Returns all active CRM lists for the API key owner's team, including
        creator counts.
      responses:
        '200':
          description: CRM lists returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrmListCollectionResponse'
              example:
                message: OK
                response:
                  data:
                    - id: 665f5c4d8a3b2d5a3e8a1234
                      name: June outreach
                      website_id: website-1
                      description: Creators for June campaign
                      budget: 5000
                      start_date: null
                      end_date: null
                      team_id: team-1
                      active: true
                      contact_count: 42
                      to_outreach_count: 12
                      date_created: '2026-06-07T12:00:00'
                      date_updated: '2026-06-07T12:00:00'
                  total: 1
        '403':
          $ref: '#/components/responses/AuthError'
        '429':
          $ref: '#/components/responses/RateLimitError'
components:
  schemas:
    CrmListCollectionResponse:
      type: object
      properties:
        message:
          type: string
          example: OK
        response:
          type: object
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/CrmList'
            total:
              type: integer
    CrmList:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        website_id:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        budget:
          type: number
          nullable: true
        start_date:
          type: string
          nullable: true
        end_date:
          type: string
          nullable: true
        team_id:
          type: string
        active:
          type: boolean
        contact_count:
          type: integer
          nullable: true
        to_outreach_count:
          type: integer
          nullable: true
        date_created:
          type: string
          nullable: true
        date_updated:
          type: string
          nullable: true
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
  responses:
    AuthError:
      description: >-
        Missing or invalid API key, inactive subscription, or inaccessible team
        scope.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    RateLimitError:
      description: Too many requests. The response includes a `Retry-After` header.
      headers:
        Retry-After:
          description: Seconds to wait before retrying.
          schema:
            type: integer
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-ty-api-key

````